Package org.apache.calcite.avatica.remote

# Class Service.Request

java.lang.Object
org.apache.calcite.avatica.remote.Service.Base
org.apache.calcite.avatica.remote.Service.Request

Direct Known Subclasses:
  `Service.CatalogsRequest`, `Service.CloseConnectionRequest`, `Service.CloseStatementRequest`, `Service.ColumnsRequest`, `Service.CommitRequest`, `Service.ConnectionSyncRequest`, `Service.CreateStatementRequest`, `Service.DatabasePropertyRequest`, `Service.ExecuteBatchRequest`, `Service.ExecuteRequest`, `Service.FetchRequest`, `Service.OpenConnectionRequest`, `Service.PrepareAndExecuteBatchRequest`, `Service.PrepareAndExecuteRequest`, `Service.PrepareRequest`, `Service.RollbackRequest`, `Service.SchemasRequest`, `Service.SyncResultsRequest`, `Service.TablesRequest`, `Service.TableTypesRequest`, `Service.TypeInfoRequest`

Enclosing interface:
  Service

public abstract static class Service.Request extends Service.Base
Base class for all service request messages.

## Constructor Summary

Constructors
Constructor
Description
`Request()`

## Method Summary

### Methods inherited from class org.apache.calcite.avatica.remote.Service.Base

`p, p, p, p`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Request

public Request()